# Type alias AsObject

AsObject: {
currentDate: number;
offerId: string;
offerPayload?: OfferPayload.AsObject;
payoutAddress: string;
pubKeyRing?: PubKeyRing.AsObject;
reserveTxHash: string;
reserveTxHex: string;
reserveTxKey: string;
reserveTxKeyImagesList: string[];
senderAccountId: string;
senderNodeAddress?: NodeAddress.AsObject;
uid: string;
}

#### Type declaration

- ##### currentDate: number

- ##### offerId: string

- ##### `Optional` offerPayload?: OfferPayload.AsObject

- ##### payoutAddress: string

- ##### `Optional` pubKeyRing?: PubKeyRing.AsObject

- ##### reserveTxHash: string

- ##### reserveTxHex: string

- ##### reserveTxKey: string

- ##### reserveTxKeyImagesList: string[]

- ##### senderAccountId: string

- ##### `Optional` senderNodeAddress?: NodeAddress.AsObject

- ##### uid: string

- Defined in src/protobuf/pb_pb.d.ts:665

Generated using TypeDoc